# SessionOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- SessionOptions

## Index

### Properties

- coreNode
- etags
- localStorageKey
- storeOptions
- transitKey
- userData

## Properties

### Optional coreNode

coreNode: undefined | string

- Defined in packages/auth/src/sessionData.ts:9

### Optional etags

etags: EtagMap

- Defined in packages/auth/src/sessionData.ts:12

### Optional localStorageKey

localStorageKey: undefined | string

- Defined in packages/auth/src/sessionData.ts:13

### Optional storeOptions

storeOptions: undefined | { localStorageKey?: undefined | string }

- Defined in packages/auth/src/sessionData.ts:14

### Optional transitKey

transitKey: undefined | string

- Defined in packages/auth/src/sessionData.ts:11

### Optional userData

userData: UserData

- Defined in packages/auth/src/sessionData.ts:10

Generated using TypeDoc